# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Transform Struct Reference

VLX wrapper of vl::Transform. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Transform:

List of all members.

## Public Member Functions

void | importTransform (VLXSerializer &s, const VLXStructure *vlx, Transform *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportTransform (VLXSerializer &s, const Transform *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Transform.

Definition at line 2433 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Transform::importTransform | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Transform * | obj
| ) |  | `[inline]`

Definition at line 2435 of file VLXWrappers.hpp.

References vl::Transform::addChild(), vl::Object::as(), vl::VLXValue::getList(), vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::VLXSerializer::importVLX(), vl::VLXValue::List, NULL, vl::Transform::setLocalAndWorldMatrix(), vl::Object::setObjectName(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_mat4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Transform::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2478 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importTransform(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Transform::exportTransform | ( | VLXSerializer & | s,
|  | const Transform * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2487 of file VLXWrappers.hpp.

References vl::Transform::children(), vl::Transform::childrenCount(), vl::VLXSerializer::exportVLX(), vl::ref< T >::get(), vl::Transform::localMatrix(), vl::Object::objectName(), vl::VLXValue::setList(), vl::VLXList::value(), vl::vlx_String(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Transform::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2504 of file VLXWrappers.hpp.

References vl::Object::as(), exportTransform(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.